<div class="wrap">
	<h2>Syndication Settings</h2>
	<form method="post" action="options.php">
		<?php settings_fields( 'syndicate-out-options' ); ?>
		<p>Settings relating to posts syndicated by this blog:</p>
		<table class="form-table">
			<tr valign="top">
				<th scope="row">Category to syndicate</th>
				<td>
					<select name="so_category">
<?php
	foreach ( get_categories( array ( 'hide_empty' => 0 ) ) AS $blogCategory ) {
		echo '<option value="'.$blogCategory->cat_ID.'"'.( ( $blogCategory->cat_ID == get_option( 'so_category' ) ) ? ' selected="selected"' : '' ).'>'.$blogCategory->cat_name.'</option>';
	}
?>
					</select>
					( <a href="categories.php">add category</a> )
				</td>
			</tr>
		</table>
		<p>Settings relating to the blog syndicated posts will be sent to:</p>
		<table class="form-table">
			<tr valign="top">
				<th scope="row">Address of remote blog</th>
				<td><input type="text" name="so_remote_server" value="<?php echo htmlentities2(get_option( 'so_remote_server' )); ?>" /></td>
			</tr>
			<tr valign="top">
				<th scope="row">Username on remote blog</th>
				<td><input type="text" name="so_remote_username" value="<?php echo htmlentities2(get_option( 'so_remote_username' )); ?>" /></td>
			</tr>
			<tr valign="top">
				<th scope="row">Password on remote blog</th>
				<td><input type="password" name="so_remote_password" value="<?php echo htmlentities2(get_option( 'so_remote_password' )); ?>" /></td>
			</tr>
		</table>
		<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e( 'Save Changes' ) ?>" />
		</p>
	</form>
</div>